View Issue Details

IDProjectCategoryView StatusLast Update
0001550SymmetricDSBugpublic2014-02-05 10:08
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.16Fixed in Version3.5.16 
Summary0001550: Sybase ASE : Lost precision from Datetime fields
DescriptionOn Sybase ASE, datetime fields are being synced with date and time down to seconds, but it is missing the milliseconds. The dialect is using the following function for the time portion:

convert(varchar, column, 108)

Instead, it should do the following:

right('00'+convert(varchar, datepart(HOUR,column)),2)+':'
+right('00'+convert(varchar, datepart(MINUTE,column)),2)+':'
+right('00'+convert(varchar, datepart(SECOND,column)),2)+'.'
+right('000'+convert(varchar, datepart(MILLISECOND,column)),3)

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master e5ec8c98

2014-01-30 14:48:46

erilong

Details Diff
0001550: Sybase ASE : Lost precision from Datetime fields
0001550
mod - symmetric-assemble/src/docbook/databases.xml Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2014-01-30 08:38 elong New Issue
2014-01-30 08:38 elong Status new => assigned
2014-01-30 08:38 elong Assigned To => elong
2014-01-30 12:57 elong Description Updated View Revisions
2014-01-30 14:49 elong Status assigned => resolved
2014-01-30 14:49 elong Fixed in Version => 3.5.16
2014-01-30 14:49 elong Resolution open => fixed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7899
2014-02-05 10:08 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master e5ec8c98